<?php
#
# Here are the main parameters:
#
$gAppName			= "unlockator";

# 0-Very globals !
#   These variables cannot be changed using the Admin interface
#   (could be done, but it is not a priority)
#
$gShowLang			= true;	
					# if set to false, admin and users
					# are forced to use the default lang.
$gUserSlice			= 100;
					# count of users displayed on a single
					# page with the "List User" form
if (!isset($gBaseDir))
	$gBaseDir = dirname(dirname(dirname($_SERVER['SCRIPT_FILENAME'])));

# 1-Parameters for the ADMIN Interface:
#
$gAdmInitialized		= true;
$gAdmLangSupported		= array ( "en", "fr" );
$gAdmLangPref			= "en";
$gAdmEmail			= "unlockator@example.com";
$gAdmDBSupported		= array ( "MySQL" );
$gAdmDBType			= "MySQL";
$gAdmDBHost			= "localhost";
$gAdmDBName			= "unlockator";
$gAdmDBUser			= "unlock";
$gAdmDBPasswd			= "pwunlock";
$gAdmCheckAuth			= true;		# if false, you must use Apache capabilities...
$gAdmLogin			= "admin";
$gAdmPasswd			= "pwunlock";

# 2-Parameters for USER Interface:
#
$gUsrLangSupported		= array ( "en", "fr" );
$gUsrLangDefault		= "fr";

# 3-Parameters for the MMI:
$gMMI_Admin_Header		= "header_admin_std.inc.html";
$gMMI_Admin_Footer		= "footer_admin_std.inc.html";
$gMMI_User_Header		= "header_user_std.inc.html";
$gMMI_User_Footer		= "footer_user_std.inc.html";

# 4-Parameters that manage password changing:
#
$gMinUsrQueries			= "2";	# min number of queries user must create
$gMaxUsrQueries			= "4";	# max number of queries user can create
$gMinGoodAdmAnswers		= "2";	# min number of good answers 
					#     to administrative queries
$gMinGoodUsrAnswers		= "2";	# min number of goof answers
					#	  to user queries
$gMaxAdmQueries			= 20;	# internally used
$gResettersPath			= "$gBaseDir/scripts/resetters";

# 5-For ticket sending:
$gPHPPath			= "/usr/local/bin/php";
$gSiteName			= "http://www.example.com";
$gTicketLifeTime		= "720";	# ticket life time in hours
$gMessageDir			= "$gBaseDir/messages";	# where to store messages sent to users
$gMessageHTMLEncoding		= true;
$gMessageTEXTEncoding		= true;
$gMessageSubject['en']		= "How to configure your password recovery interface";
$gMessageSubject['fr']		= "Comment recouvrer son mot de passe";
$gMessageHTMLFile['en']		= "default.html";
$gMessageTEXTFile['en']		= "default.txt";
$gMessageHTMLFile['fr']		= "default.html";
$gMessageTEXTFile['fr']		= "default.txt";

# 6-Other global variables that can be set by the scripts:
$gMSG				= "";	# Error message to be displayed

# 7-Log and debug handling:
$gLogLevel			= "5";		# 0 = normal
$gUseSyslog			= "1";	# set to 'true' to use syslog feature
$gSyslogFacility		= "160";
$gLogFile			= "/tmp/unlockator.log";

# 8-LDAP Interface:
$gLDAPHost			= "localhost";
$gLDAPPort			= "389";
$gLDAPBase			= "cn=People,dc=migration,dc=com";
$gLDAPBindDN			= "cn=admin,dc=migration,dc=com";
$gLDAPBindPwd			= "secret";
# configuration to get info from AD:
$gLDAPFilter			= "(userPrincipalName=\$account@*)";
$gLDAPFullNameAttr		= "displayName";
$gLDAPEmailAttr			= "userPrincipalName";

$gLDAPCreateInfo		= "created by websynchro";
$gLDAPCreateAccount		= "unix,window";
$gLDAPCreateLanguage		= "fr";

# EOF
?>
