<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "filter.inc.php";
include_once "prefs.inc.php";
include_once "auth.inc.php";

$errorPage = "admin.html";
$gMSG = "";

$confname = "config.inc.php";
$lines = @file("../../conf/$confname");
$changed = false;
$error = false;

if (isset($_REQUEST['check_db'])) {
	if (CheckParm($gFilter_alnum,"dbtype",_("type de base de donn&eacute;es"),$dbtype))
		$error = true;

	if (!$error) {
		if (!@file_exists("../common/backend_$dbtype.inc.php")) {
			$gMSG = _("Le type de base \'$dbtype\' n'est pas support&eacute;");
			$gMSG = preg_replace('/\$dbtype/',$dbtype,$gMSG);
		}
		else {
			include_once "backend_$dbtype.inc.php";

			if (CheckParm($gFilter_alnum,"dbserver",_("serveur de base de donn&eacute;es"),$dbserver))
				$error = true;

			if (CheckParm($gFilter_alnum,"dbname",_("nom de la base de donn&eacute;es"),$dbname))
				$error = true;

			if (CheckParm($gFilter_alnum,"dbuser",_("utilisateur de la base de donn&eacute;es"),$dbuser))
				$error = true;

			$dbpwd = $_REQUEST['dbpwd'];

			if (!$error) {
				if (!DBConnect($dbserver,$dbname,$dbuser,$dbpwd)) {
					$gMSG = DBLastError();
				}
				else {
					DBClose();
					$gMSG = _("Connexion &agrave; la base r&eacute;ussie !");
				}
			}
		}
	}
}

if (isset($_REQUEST['submit_db'])) {
	if (CheckParm($gFilter_alnum,"dbtype",_("type de base de donn&eacute;es"),$dbtype))
		$error = true;

	if (CheckParm($gFilter_alnum,"dbserver",_("serveur de base de donn&eacute;es"),$dbserver))
		$error = true;

	if (CheckParm($gFilter_alnum,"dbname",_("nom de la base de donn&eacute;es"),$dbname))
		$error = true;

	if (CheckParm($gFilter_alnum,"dbuser",_("utilisateur de la base de donn&eacute;es"),$dbuser))
		$error = true;

	$dbpwd = $_REQUEST['dbpwd'];

	if (!$error) {
		$lines = preg_replace('/^(\$gAdmDBType.*=.*")(.*)(".*)/',"\${1}".$dbtype.'\3',$lines);
		$lines = preg_replace('/^(\$gAdmDBHost.*=.*")(.*)(".*)/',"\${1}".$dbserver.'\3',$lines);
		$lines = preg_replace('/^(\$gAdmDBName.*=.*")(.*)(".*)/',"\${1}".$dbname.'\3',$lines);
		$lines = preg_replace('/^(\$gAdmDBUser.*=.*")(.*)(".*)/',"\${1}".$dbuser.'\3',$lines);
		$lines = preg_replace('/^(\$gAdmDBPasswd.*=.*")(.*)(".*)/',"\${1}".$dbpwd.'\3',$lines);
		$changed = true;
	}
}

if ($changed) {
	UpdateConfFile($confname,$lines);
	include "config.inc.php";
}

#print_r($lines);

include_once "backend.inc.php";

PageAdminOutput("dbprefs.html",$ctxt);
?>
