<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "filter.inc.php";
include_once "prefs.inc.php";
include_once "auth.inc.php";

$errorPage = "admin.html";
$gMSG = "";

$confname = "config.inc.php";
$lines = @file("../../conf/$confname");
$changed = false;
$error = false;

if (isset($_REQUEST['check_ldap'])) {
	if (CheckParm($gFilter_digit,"ldapport",_("Port LDAP"),$ldapport))
		$error = true;

	if (CheckParm($gFilter_alnum,"ldaphost",_("LDAP Serveur"),$ldaphost))
		$error = true;

	if (CheckParm($gFilter_alnum,"fullname",_("Nom de l'attribut associ&eacute; au nom complet"),$fullname))
		$error = true;

	if (CheckParm($gFilter_alnum,"emailattr",_("Nom de l'attribut associ&eacute; &agrave; l'adresse mail"),$emailattr))
		$error = true;

	if (!$error) {
		if (!($lh = ldap_connect($ldaphost,$ldapport))) {
			$gMSG = _("Erreur de connexion au serveur LDAP");
		}
		else {
			if (!ldap_bind($lh,$_REQUEST['binddn'],$_REQUEST['bindpwd'])) {
				$gMSG = _("Erreur de liaison au serveur LDAP");
				ldap_close($lh);
			}
			else {
				$filter = preg_replace('/\$account/',"*",$_REQUEST['filter']);
				$justthese = array($emailattr,$fullname);
				if (!($rh = ldap_search($lh,$_REQUEST['basedn'],$filter,$justthese))) {
					$gMSG = _("Erreur de recherche dans le serveur LDAP");
					ldap_close($lh);
				}
			}
		}
	}
}

if (isset($_REQUEST['submit_ldap'])) {
	if (CheckParm($gFilter_digit,"ldapport",_("Port LDAP"),$ldapport))
		$error = true;

	if (CheckParm($gFilter_alnum,"ldaphost",_("LDAP Serveur"),$ldaphost))
		$error = true;

	if (CheckParm($gFilter_alnum,"fullname",_("Nom de l'attribut associ&eacute; au nom complet"),$fullname))
		$error = true;

	if (CheckParm($gFilter_alnum,"emailattr",_("Nom de l'attribut associ&eacute; &agrave; l'adresse mail"),$emailattr))
		$error = true;

	if (!$error) {
		$lines = preg_replace('/^(\$gLDAPHost.*=.*")(.*)(";.*)/',"\${1}".$ldaphost.'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPPort.*=.*")(.*)(";.*)/',"\${1}".$ldapport.'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPBase.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['basedn'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPBindDN.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['binddn'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPBindPwd.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['bindpwd'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPFilter.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['filter'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPFullNameAttr.*=.*")(.*)(";.*)/',"\${1}".$fullname.'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPEmailAttr.*=.*")(.*)(";.*)/',"\${1}".$emailattr.'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPCreateInfo.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['createinfo'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPCreateLanguage.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['createlang'].'\3',$lines);
		$lines = preg_replace('/^(\$gLDAPCreateAccount.*=.*")(.*)(";.*)/',"\${1}".$_REQUEST['createaccount'].'\3',$lines);
		$changed = true;
	}
}

if ($changed) {
	UpdateConfFile($confname,$lines);
	include "config.inc.php";
}

#print_r($lines);

include_once "backend.inc.php";

PageAdminOutput("ldapprefs.html",$ctxt);
?>
