<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "backend.inc.php";
include_once "utils.inc.php";
include_once "filter.inc.php";
include_once "auth.inc.php";

if (!isset($_REQUEST['uid']) || empty($_REQUEST['uid'])) {
	$gMSG = _("Le param&egrave;tre est vide");
	PageAdminOutput("adminuser.html",$ctxt);
	die;
}

$parmvalue = preg_replace($gFilter_digit,'',$_REQUEST['uid']);
$ok = 0;

$ctxt['user'] = BackendGetUser($parmvalue);
$ctxt['account'] = BackendGetAllUserAccount($parmvalue);
$ctxt['accounts'] = BackendGetAllGenAccount();

if (isset($_REQUEST['submit'])) {
	$ok = 1;

	if (empty($_REQUEST['email'])) {
		$gMSG = _("L'adresse e-mail ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['fullname'])) {
		$gMSG = _("Le nom complet de ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['usrlang'])) {
		$gMSG = _("Il faut s&eacute;lectionner une langue");
		$ok = 0;
	}
	else {
		# The language must be supported:
		$lang = $_REQUEST['usrlang'];
		if (!in_array($lang,$gUsrLangSupported)) {
			$gMSG = _("La langue '$lang' n'est pas support&eacute;e");
			PageAdminOutput("viewuser.html",$ctxt);
			die;
		}
		# At least one account type must be selected:
		if (!($accounts = $ctxt['accounts'])) {
			$gMSG = _("Il faut d'abord d&eacute;finir des types de comptes");
			PageAdminOutput("viewuser.html",$ctxt);
			die;
		}

		$ok = 0;
		$useraccounts = array();
		for ( $idx = 0 ; $idx < count($accounts) ; $idx++ ) {
			$act_name = $accounts[$idx]['act_name'];
			if (isset($_REQUEST[$act_name]) && !empty($act_name)) {
				array_push($useraccounts,$act_name);
				$ok = 1;
			}
		}

		if (!$ok) {
			$gMSG = _("Il faut s&eacute;lectionner au moins un type de compte");
			PageAdminOutput("viewuser.html",$ctxt);
			die;
		}
	}
}

if ($ok) {
	if (!(BackendModifyUser($_REQUEST['uid'],$_REQUEST['fullname'],$lang,"",$_REQUEST['email']))) {
		$gMSG = _("Erreur lors de la modification du compte");
	}
	else {
		if (!BackendModifyUserAccount($_REQUEST['uid'],$useraccounts)) {
			$gMSG = _("Erreur lor de la modification du compte");
		}
		else {
			$gMSG = _("Modifications effectu&eacute;es");
		}
	}
}

$ctxt['user'] = BackendGetUser($parmvalue);
$ctxt['account'] = BackendGetAllUserAccount($parmvalue);

PageAdminOutput("viewuser.html",$ctxt);
?>
