<?php
error_reporting(E_ALL);

#
# Error Categories:
#
define("ULK_TYPE_ERROR",1);
define("ULK_TYPE_WARNING",2);
define("ULK_TYPE_INFO",3);

$gErrLabels = array (
	"fr" => array (
			ULK_TYPE_ERROR => "Erreur",
			ULK_TYPE_WARNING => "Avertissement",
			ULK_TYPE_INFO => "Information",
		),
	"en" => array (
			ULK_TYPE_ERROR => "Error",
			ULK_TYPE_WARNING => "Warning",
			ULK_TYPE_INFO => "Info",
		),
);

#
# Error Codes:
#
define("ULK_ERR_BADSID",100);
define("ULK_ERR_EMPTYPASSWD",101);
define("ULK_ERR_EMPTYUSERNAME",102);
define("ULK_ERR_UNKNOWNUSER",103);
define("ULK_ERR_NOSID",104);
define("ULK_ERR_NOACTID",105);
define("ULK_ERR_BDUPDATE",106);
define("ULK_ERR_BDINSERT",107);
define("ULK_ERR_OLDTICKET",108);
define("ULK_ERR_ACCOUNTMISSING",109);
define("ULK_ERR_LDAPERROR",110);
define("ULK_ERR_ILLEGALCLIENT",111);
define("ULK_ERR_HASHMISSING",112);

#
# Warning Codes:
#

# 
# Info Codes:
#
define("ULK_INF_GENTICKET",600);
define("ULK_INF_ACCOUNTCREATED",601);

#
# Stat Categories:
#
define("ULK_ACTION_LOGIN",1);
define("ULK_ACTION_GENTICKET",2);
define("ULK_ACTION_AUTHFAILED",3);
define("ULK_ACTION_PASSCHANGED",4);
define("ULK_ACTION_TICKETEXPIRED",5);
define("ULK_ACTION_INFOCHANGED",6);

$gStatLabels = array(
	"fr" => array (
			ULK_ACTION_LOGIN => "Cnx",
			ULK_ACTION_GENTICKET => "Tckt",
			ULK_ACTION_AUTHFAILED => "Auth",
			ULK_ACTION_PASSCHANGED => "Pwd",
			ULK_ACTION_TICKETEXPIRED => "Tckt",
			ULK_ACTION_INFOCHANGED => "Compte",
		),
	"en" => array (
			ULK_ACTION_LOGIN => "Login",
			ULK_ACTION_GENTICKET => "Tckt",
			ULK_ACTION_AUTHFAILED => "Auth",
			ULK_ACTION_PASSCHANGED => "Pwd",
			ULK_ACTION_TICKETEXPIRED => "Tckt",
			ULK_ACTION_INFOCHANGED => "Acc",
		),
);
?>
