<?php
#
# Reset or change the users's password of requested accounts:
#
include_once "../../conf/include.inc.php";
include_once "backend.inc.php";
include_once "locale.inc.php";

$errorPage = "user.html";
$gMSG = "";

session_start();
if (!isset($_SESSION['ctxt'])) {
	PageUserOutput("pwdRecovery.html",$gUsrLangDefault,$ctxt);
	die;
}
$ctxt = $_SESSION['ctxt'];

$ctxt['account'] = BackendGetAllUserAccount($ctxt['user']['usr_id']);

$summary = "";

for ( $idx = 0 ; $idx < count($ctxt['account']) ; $idx++ ) {
	$act_name = $ctxt['account'][$idx]['act_name'];
	if (isset($_REQUEST[$act_name])) {
		#echo "reset account $act_name<br>";
		$account = BackendGetGenAccount($ctxt['account'][$idx]['act_id']);
		#echo $account['act_script'];

		# Build the command line for the resetter:
		# We do here something simple:
		# - 1st arg is the user account
		# - 2nd arg is the user full name
		# - 3rd arg is the user email

		$alloutput = array();
		$script = $account['act_script'];
		$cmd  = "$gResettersPath/$script ";
		$cmd .= '"'.$ctxt['user']['usr_name'].'" ';
		$cmd .= '"'.$ctxt['user']['usr_fullname'].'" ';
		$cmd .= '"'.$ctxt['user']['usr_email'].'" ';
		$output = exec($cmd,$alloutput,$retval);

		# 1) The resetter should return:
		# 	0 if password could be resetted
		# 	something else otherwise
		# 2) the last output string is displayed
		# 3) a global feedback is mailed to the user (no, unuseful !)
		# 4) every action is logged

		if (!$retval) {
			$cr = _("Mot de passe du compte '$act_name' r&eacute;initialis&eacute;");
			$summary .= $cr."\n";
			if (!empty($output))
				$summary .= _("Le nouveau mot de passe est: $output\n");
		}
		else {
			$cr = _("Impossible de r&eacute;initialiser le mot de passe avec le script $script");
			$summary .= $output."\n";
		}

		BackendAddStat(	$ctxt['user']['usr_id'],
			$_SERVER['REMOTE_ADDR'],ULK_ACTION_PASSCHANGED,$cr);
	}
}

$ctxt['info']['summary'] = nl2br($summary);

PageUserOutput("pwdResetted.html",$ctxt['user']['usr_lang'],$ctxt);
?>
