/****************************************************************************/
/*                                                                          */
/*   config.h                                                               */
/*   Reads configuration file                                               */
/*                                                                          */
/*   Copyright 1998-2000Microsoft Corporation                               */
/*   All rights reserved.                                                   */
/*                                                                          */
/****************************************************************************/
#include "nttype.h"

BOOL conformToPassLength(BOOL fAdmin, int nPassLength);

int getConfiguration(Globals*, const char *szConfFile);

int getSyncHosts(Globals* pInstance, char*    pStr);

int getSyncUsers(Globals* pInstance, char*    pStr);

int freeGlobalElements(Globals* pInstance);

int trimAndValidateSyncObjList(Globals* pInstance);

int freeSyncObj(SYNC_OBJ_LIST* pSync);

int freeHostObj(HOST_LIST* pHost);

int syncThisUser(char* pszUser);

BOOL isValidSyntaxEncryptKey(char* pKey);

void printConfigurationErrorMessages(char * strMsg);

