#!/bin/bash
#
# Use the expect script slightly modified:
#
# $1 = user
# $2 = fullname
# $3 = email
#

DIR=`dirname $0`
NEWPASS=`$DIR/mkpasswd -s 0`
OUTPUT=`echo $NEWPASS | /usr/bin/passwd --stdin $1 2>&1`

if [ $? -eq 0 ]; then
	echo $OUTPUT
	exit 0
fi

echo $OUTPUT
exit 1
