#ifndef _messages_h_
#define _messages_h_
 
//EventLog categories:

//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: SYNCUNLOCK_CATEG1
//
// MessageText:
//
//  General
//
#define SYNCUNLOCK_CATEG1                ((DWORD)0x00000001L)

// EventLog events:
//
// MessageId: SYNCUNLOCK_ERROR
//
// MessageText:
//
//  Message d'erreur de syncunlock
//
#define SYNCUNLOCK_ERROR                 ((DWORD)0xC0000064L)

//
// MessageId: SYNCUNLOCK_INFO
//
// MessageText:
//
//  Message d'information de syncunlock
//
#define SYNCUNLOCK_INFO                  ((DWORD)0x40000065L)

// Evnements:

//
// MessageId: GENERIC_ERROR1
//
// MessageText:
//
//  %1
//
#define GENERIC_ERROR1                   ((DWORD)0xC0000066L)

//
// MessageId: GENERIC_INFO1
//
// MessageText:
//
//  %1
//
#define GENERIC_INFO1                    ((DWORD)0x40000067L)

// Autres messages:
//
//MessageId		= 1000

#endif
