<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "backend.inc.php";
include_once "utils.inc.php";
include_once "auth.inc.php";

$errorPage = "admin.html";
$gMSG = "";
$ok = 1;

if (!isset($_REQUEST['act_id'])) {
	$gMSG = _("Param&egrave;tre act_id manquant");
	BackendLog($_SERVER["REMOTE_ADDR"],ULK_TYPE_ERROR,ULK_ERR_NOACTID,$gMSG);
	PageAdminOutput($errorPage,$ctxt);
	die;
}

# Display or change ?
if (isset($_REQUEST['submit'])) {
	$ok = 1;

	if (empty($_REQUEST['act_name'])) {
		$gMSG = _("Le nom du type de compte ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['act_script'])) {
		$gMSG = _("Le nom du script permettant de changer le mot de passe ne peut &ecirc;tre vide");
		$ok = 0;
	}
	else {
		$script = $gResettersPath."/".$_REQUEST['act_script'];
		if (!@file_exists($script)) {
			$gMSG = _("Le script $script n'existe pas");
			$ok = 0;
		}
		else {
			if (!strstr(php_uname('s'),"Windows")) {
				$perm = fileperms($script);
				if (($perm & 0100) == 0) {
					$gMSG = _("Le script $script n'est pas ex&eacute;cutable");
					$ok = 0;
				}
			}
		}
	}

	if ($ok) {
		# New or Update ?
		if (empty($_REQUEST['act_id'])) {
			if (!($act_id = BackendNewGenAccount($_REQUEST['act_name'],
					     $_REQUEST['act_desc'],$_REQUEST['act_script']))) {
				$gMSG = _("Erreur de cr&eacute;ation");
				BackendLog($_SERVER["REMOTE_ADDR"],ULK_TYPE_ERROR,ULK_ERR_BDINSERT,$gMSG);
			}
			else {
				$gMSG = _("Cr&eacute;ation effectu&eacute;e");
				$_REQUEST['act_id'] = $act_id;
			}
		}
		else {
			if (!BackendSetGenAccount($_REQUEST['act_id'],$_REQUEST['act_name'],
					     $_REQUEST['act_desc'],$_REQUEST['act_script'])) {
				$gMSG = _("Erreur de mise &agrave; jour");
				BackendLog($_SERVER["REMOTE_ADDR"],ULK_TYPE_ERROR,ULK_ERR_BDUPDATE,$gMSG);
			}
			else {
				$gMSG = _("Mise &agrave; jour effectu&eacute;e");
			}
		}
	}
	else {
		$ctxt['account']['act_name'] = $_REQUEST['act_name'];
		$ctxt['account']['act_desc'] = $_REQUEST['act_desc'];
		$ctxt['account']['act_script'] = $_REQUEST['act_script'];
	}
}

if (isset($_REQUEST['act_id']) && $ok)
	$ctxt['account'] = BackendGetGenAccount($_REQUEST['act_id']);

PageAdminOutput("accountedit.html",$ctxt);
?>
