<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "backend.inc.php";
include_once "utils.inc.php";
include_once "auth.inc.php";

$gMSG = "";
$ok = 0;

$ctxt['genaccount'] = BackendGetAllGenAccount();

if (isset($_REQUEST['submit'])) {
	$ok = 1;

	if (empty($_REQUEST['name'])) {
		$gMSG = _("Le nom de l'utilisateur ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['fullname'])) {
		$gMSG = _("Le nom complet de l'utilisateur ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['email'])) {
		$gMSG = _("L'adresse e-mail ne peut &ecirc;tre vide");
		$ok = 0;
	}
	elseif (empty($_REQUEST['usrlang'])) {
		if ($gShowLang) {
			$gMSG = _("Il faut s&eacute;lectionner une langue");
			$ok = 0;
		}
		else {
			$_REQUEST['usrlang'] = $gUsrLangDefault;
		}
	}
	# At least one account type must be selected:
	else {
		$ok = 0;
		for ( $idx = 0 ; $idx < count($ctxt['genaccount']) ; $idx++ ) {
			$act_name = $ctxt['genaccount'][$idx]['act_name'];
			if (isset($_REQUEST[$act_name]) && !empty($act_name)) {
				$ok = 1;
			}
		}

		if (!$ok) {
			$gMSG = _("Il faut s&eacute;lectionner au moins un type de compte");
		}
	}
}
else {
	$_REQUEST['name'] = "";
	$_REQUEST['fullname'] = "";
	$_REQUEST['email'] = "";
	$_REQUEST['usrlang'] = $gUsrLangDefault;
	for ( $idx = 0 ; $idx < count($ctxt['genaccount']) ; $idx++ ) {
		$act_name = $ctxt['genaccount'][$idx]['act_name'];
		$_REQUEST[$act_name] = "";
	}
}

if ($ok) {
	# Check the user name is unique:
	if (BackendGetUserByName($_REQUEST['name'])) {
		$gMSG = _("Ce nom d'utilisateur existe d&eacute;j&agrave;");
		$ok = 0;
	}
}

if ($ok) {
	# Insert the new user and the associated accounts:
	if ($usr_id = BackendNewUser($_REQUEST['name'],$_REQUEST['fullname'],$_REQUEST['usrlang'],"",$_REQUEST['email'])) {
		for ( $idx = 0 ; $idx < count($ctxt['genaccount']) ; $idx++ ) {
			$act_name = $ctxt['genaccount'][$idx]['act_name'];
			if (isset($_REQUEST[$act_name]) && !empty($act_name)) {
				BackendAddUserAccount($usr_id,$ctxt['genaccount'][$idx]['act_id']);
			}
		}

		$gMSG = _("Le compte a &eacute;t&eacute; ajout&eacute; avec succ&egrave;s");

		# Send a ticket if required:
		if (isset($_REQUEST['ticket']) && $_REQUEST['ticket']) {
			$test = 0; $nomail = 0; $alluser = 0; $userlist = $_REQUEST['name'];
			include_once "../../scripts/ticketinit2.inc.php";
			if (!$ok) {
				$gMSG = $errors[0];
			}
			else $gMSG = $report[0];
		}
	}
}

PageAdminOutput("adduser.html",$ctxt);
?>
