<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "filter.inc.php";
include_once "prefs.inc.php";
include_once "auth.inc.php";

$errorPage = "admin.html";
$gMSG = "";

$confname = "config.inc.php";
$lines = @file("../../conf/$confname");
$changed = false;
$error = false;

if (isset($_REQUEST['submit_log'])) {
	if (CheckParm($gFilter_digit,"loglevel",_("Niveau de log"),$loglevel))
		$error = true;

	if (CheckParm($gFilter_digit,"syslog",_("Int&eacute;gration avec syslog"),$syslog))
		$error = true;

	if (CheckParm($gFilter_digit,"facility",_("Syslog facility"),$facility))
		$error = true;

	if (CheckParm($gFilter_alnumpath,"logfile",_("Nom du fichier de log"),$logfile)) {
		$error = true;
	}
	else {
		// the log file must be writable by the Web Server:
		if (!($fh = @fopen($logfile,"w"))) {
			$gMSG = _("Le fichier de log n'est pas accessible en &eacute;criture au serveur Web");
			$error = true;
		}
		else @fclose($fh);
	}

	if (!$error) {
		$lines = preg_replace('/^(\$gLogLevel.*=.*")(.*)(";.*)/',"\${1}".$loglevel.'\3',$lines);
		$lines = preg_replace('/^(\$gUseSyslog.*=.*")(.*)(";.*)/',"\${1}".$syslog.'\3',$lines);
		$lines = preg_replace('/^(\$gSyslogFacility.*=.*")(.*)(";.*)/',"\${1}".$facility.'\3',$lines);
		$lines = preg_replace('/^(\$gLogFile.*=.*")(.*)(";.*)/',"\${1}".$logfile.'\3',$lines);
		$changed = true;
	}
}

if ($changed) {
	UpdateConfFile($confname,$lines);
	include "config.inc.php";
}

#print_r($lines);

include_once "backend.inc.php";

PageAdminOutput("logprefs.html",$ctxt);
?>
