<?php
#
# Update the config.inc.php file:
#
include_once "auth.inc.php";

function UpdateConfFile($confname,&$lines)
{
	global $gMSG;

	# TODO: should set a lock if more than one Admin try to change the prefs...

	# Get the permissions of the current file:
	list($dev,$ino,$mode,$nlink,$uid,$gid) = @stat("../../conf/$confname");

	$newname = "../../conf/$confname.new";
	if (!($fd = @fopen($newname,"w"))) {
		$gMSG = _("Erreur d'ouverture du fichier de configuration $newname"); 
	}
	else {
		$ok = true;
		foreach ($lines as $l) {
			if (!fwrite($fd,$l)) {
				$gMSG = _("Erreur d'&eacute;criture dans le fichier $newname");
				$ok = false;
				break;
			}
		}
		@fclose($fd);

		if ($ok) {
			# unuseful: the content should be like: $GLOBALS['gAdm...'] = ...
			#include "$newname";
			rename($newname,"../../conf/$confname");

			# Set the original permissions:
			chmod("../../conf/$confname",$mode);
		}
	}
}

#
# Filter input parameters:
# Example: CheckParm($filter,"admlang",_("langue de l'utilisateur"),$parmvalue);
#
function CheckParm($filter,$name,$fieldname,&$parmvalue)
{
	global $gMSG;

	$error = false;

	if (!isset($_REQUEST[$name]) || !strlen($_REQUEST[$name])) {
		$gMSG = _('Il faut renseigner le champ \'$fieldname\'');
		$gMSG = preg_replace('/\$fieldname/',$fieldname,$gMSG);
		$error = true;
	}
	else {
		$parmvalue = preg_replace($filter,'',$_REQUEST[$name]);
		if ("$parmvalue" != $_REQUEST[$name]) {
			$gMSG = _("Le champ '$fieldname' a une valeur incorrecte");
			$error = true;
		}
	}
	
	return $error;
}
?>
