<?php
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "filter.inc.php";
include_once "prefs.inc.php";
include_once "backend.inc.php";
include_once "auth.inc.php";

$errorPage = "admin.html";
$gMSG = "";

$confname = "config.inc.php";
$lines = @file("../../conf/$confname");
$changed = false;
$error = false;

if (isset($_REQUEST['submit_pwd'])) {
	if (CheckParm($gFilter_digit,"minusrqueries",
			_("Nombre de questions minimum que doit cr&eacute;er un utilisateur"),$minusrqueries))
		$error = true;

	if (CheckParm($gFilter_digit,"maxusrqueries",
			_("Nombre de questions maximum que doit cr&eacute;er un utilisateur"),$maxuserqueries))
		$error = true;

	if (CheckParm($gFilter_digit,"mingoodadmans",
			_("Nombre minimum de bonnes r&eacute;ponses aux questions de l'Administrateur"),$mingoodadmans))
		$error = true;

	if (CheckParm($gFilter_digit,"mingoodusrans",
			_("Nombre minimum de bonnes r&eacute;ponses aux questions de l'Utilisateur"),$mingoodusrans))
		$error = true;

	if (!$error) {
		$lines = preg_replace('/^(\$gMinUsrQueries.*=.*")(.*)(".*)/',"\${1}".$minusrqueries.'\3',$lines);
		$lines = preg_replace('/^(\$gMaxUsrQueries.*=.*")(.*)(".*)/',"\${1}".$maxusrqueries.'\3',$lines);
		$lines = preg_replace('/^(\$gMinGoodAdmAnswers.*=.*")(.*)(".*)/',"\${1}".$mingoodadmans.'\3',$lines);
		$lines = preg_replace('/^(\$gMinGoodUsrAnswers.*=.*")(.*)(".*)/',"\${1}".$mingoodusrans.'\3',$lines);
		$changed = true;
		#print_r($lines);
	}
}

foreach ($gUsrLangSupported as $lang) {
	if (isset($_REQUEST["adq_$lang"])) {
		$lastq = count($_REQUEST["admqueries_$lang"]) - 1;
		if (empty($_REQUEST["admqueries_$lang"][$lastq])) {
			$gMSG = _("La question est vide");
		}
		else {
			include_once "backend.inc.php";
			BackendAddAdminQuery($lang,$_REQUEST["admqueries_$lang"][$lastq]);
		}
	}
}

foreach ($gUsrLangSupported as $lang) {
	# TODO: this loop does not work if answer id are > $gMaxAdmQueries
	for ( $idx = 0 ; $idx <= $gMaxAdmQueries ; $idx++ ) {
		if (isset($_REQUEST["delq_$lang"."_$idx"])) {
			# TODO: prevenir si les utilisateurs ont rempli des questions
			BackendDelAdminQuery($lang,$idx);
		}
	}
}

foreach ($gUsrLangSupported as $lang) {
	if (isset($_REQUEST["submit_aq_$lang"])) {
		# TODO: prevenir si les utilisateurs ont rempli des questions
		$queries = BackendGetAdminQueries($lang);
		for ( $idx = 0 ; $queries && $idx < count($queries) ; $idx++ ) {
			BackendModAdminQuery($lang,$queries[$idx]['adq_id'],$_REQUEST["admqueries_$lang"][$idx]);
		}
	}
}

if ($changed) {
	UpdateConfFile($confname,$lines);
	include "config.inc.php";
}

#print_r($lines);

foreach ($gUsrLangSupported as $lang) {
	$ctxt['admqueries'][$lang] = BackendGetAdminQueries($lang);
}

PageAdminOutput("pwdprefs.html",$ctxt);
?>
