<?php
#
# Remember, we avoid classes and objects for a better PHP4/5 portability:
#
# Note: all the parameters must have been filtered by the caller
#
include_once "config.inc.php";

$_gConn = NULL;
$_gError = "";

function DBConnect($dbsrv,$dbname,$dbuser,$dbpwd)
{
	global $_gConn;
	global $_gError;

	$_gConn = @mysql_connect($dbsrv,$dbuser,$dbpwd,$dbname);
	if (!$_gConn) {
		$_gError = _("La connexion au serveur '$dbsrv' a echoue");
		$_gError = preg_replace('/\$dbsrv/',$dbsrv,$_gError);
		_SQLErrorLog($_gError);
		return 0;
	}

	if (!@mysql_select_db($dbname,$_gConn)) {
		$_gError = _("Base '$dbname' non trouvee");
		$_gError = preg_replace('/\$dbname/',$dbname,$_gError);
		_SQLErrorLog($_gError);
		return 0;
	}

	return 1;
}

function DBClose()
{
	@mysql_close($_gConn);
}

function DBLastError()
{
	global $_gError;

	return $_gError;
}

function DBExecute($query)
{
	global $_gConn;
	global $_gError;

	if (!($result = mysql_query($query,$_gConn))) {
		$_gError = _("La requete '$query' a echoue");
		$_gError = preg_replace('/\$query/',$query,$_gError);
		_SQLErrorLog($_gError);
		return 0;
	}

	return $result;
}
	
function DBQueryAndFetchRows($query)
{
	if (!($result = DBExecute($query))) {
		return 0;
	}

	$count = 0;
	$items = array ();
	while ($row = mysql_fetch_array($result)) {
		$items[$count] = $row;
		$count++;
	}

	mysql_free_result($result);

	return $items;
}

function DBQueryAndFetchaRow($query,&$aff_rows)
{
	$aff_rows = -1;

	$result = DBExecute($query);
	if (!$result) return 0;

	if (!($aff_rows = mysql_affected_rows()))
		return 0;

	$row = mysql_fetch_array($result);

	mysql_free_result($result);

	return $row;
}

function DBAffectedRows()
{
	return mysql_affected_rows();
}
		
function DBDisconnect()
{
	if (!mysql_close($_gConn)) {
		$_gError = _("mysql_close a echoue");
		_SQLErrorLog($_gError);
	}
}

# -----------------------------------
# Internal Functions:
# -----------------------------------

function _SQLErrorLog($text)
{
	global $gLogFile;
	global $gUseSyslog;
	global $gSyslogFacility;
	global $gAppName;

	$curdate = date("Y-m-d H:i:s");

	if (!empty($gLogFile)) {
		error_log("$curdate: SQL Error: ".$text."\n",3,$gLogFile);
		error_log("$curdate: errno=".mysql_errno()." [".mysql_error()."]\n",3,$gLogFile);
	}

	if ($gUseSyslog) {
		openlog($gAppName,LOG_PID,$gSyslogFacility);
		syslog(LOG_ERR,"$curdate: SQL Error: ".$text);
		syslog(LOG_ERR,"$curdate: errno=".mysql_errno()." [".mysql_error()."]");
		closelog();
	}
}

?>
