<?php
#
# This is the start page for recovery one's password:
# This script is invoked with a login as a parameter
#
include_once "../../conf/include.inc.php";
include_once "locale.inc.php";
include_once "backend.inc.php";

$errorPage = "user.html";
$gMSG = "";

if (empty($_REQUEST['login'])) {
	$gMSG = _("Merci de pr&eacute;ciser votre matricule");
	BackendLog($_SERVER["REMOTE_ADDR"],ULK_TYPE_ERROR,ULK_ERR_EMPTYUSERNAME,$gMSG);
	PageUserOutput("pwdRecovery.html",$gUsrLangDefault,$ctxt);
	die;
}

$name = $_REQUEST['login'];
$user = BackendGetUserByName($name);
if (!$user) {
	$gMSG = _("Utilisateur $name inconnu");
	BackendLog($_SERVER["REMOTE_ADDR"],ULK_TYPE_ERROR,ULK_ERR_UNKNOWNUSER,$gMSG);
	PageUserOutput("pwdRecovery.html",$gUsrLangDefault,$ctxt);
	die;
}

$ctxt['admans'] = BackendGetAdminAnswers($user['usr_id']);
$ctxt['usrqry'] = BackendGetUserQueries($user['usr_id']);
$ctxt['user']   = $user;

# Compare the answers with the database contents:
$goodAdmin = 0;
for ( $idx = 0 ; $idx < count($ctxt['admans']) ; $idx++ ) {
	if (isset($_REQUEST['admanswer'][$idx]) &&
	    trim($_REQUEST['admanswer'][$idx]) == $ctxt['admans'][$idx]['adq_answer'] &&
	    !empty($ctxt['admans'][$idx]['adq_answer'])) {
		$goodAdmin++;
	}
}

$goodUser = 0;
for ( $idx = 0 ; $idx < count($ctxt['usrqry']) ; $idx++ ) {
	if (isset($_REQUEST['usranswer'][$idx]) &&
	    trim($_REQUEST['usranswer'][$idx]) == $ctxt['usrqry'][$idx]['usq_answer'] &&
	    !empty($ctxt['usrqry'][$idx]['usq_answer'])) {
		$goodUser++;
	}
}

#echo "$goodUser $goodAdmin";

if ($goodAdmin >= $gMinGoodAdmAnswers && $goodUser >= $gMinGoodUsrAnswers) {
	session_start();
	$ctxt['account'] = BackendGetAllUserAccount($user['usr_id']);
	$ctxt['admqry'] = BackendGetAdminQueries($user['usr_lang']);
	BackendAddStat($user['usr_id'],$_SERVER['REMOTE_ADDR'],ULK_ACTION_LOGIN,_("Connexion"));
	$origin = $_SESSION['origin'];
	#echo $origin;
	$_SESSION['ctxt'] = $ctxt;
	if ($origin == "userprefs")
		PageUserOutput("userPrefs.html",$user['usr_lang'],$ctxt);
	elseif ($origin == "pwdrecovery")
		PageUserOutput("pwdRecoveryAccount1.html",$user['usr_lang'],$ctxt);
	else
		PageUserOutput("userPrefs.html",$user['usr_lang'],$ctxt);
	die;
}

BackendAddStat($user['usr_id'],$_SERVER['REMOTE_ADDR'],
		ULK_ACTION_AUTHFAILED,_("Echec de l'authentification"));

$gMSG = _("Echec de l'authentification");

$ctxt['admqry'] = BackendGetAdminQueries($user['usr_lang']);
$ctxt['admanswer'] = $_REQUEST['admanswer'];
$ctxt['usranswer'] = $_REQUEST['usranswer'];
$ctxt['readonly'] = 1;
PageUserOutput("pwdRecovery2.html",$user['usr_lang'],$ctxt);
?>
