#/*------------------------------------------------------------------------------
#** Copyright (c) Microsoft Corporation.  All rights reserved.
#**
#** File Name:    sel.h
#**
#**------------------------------------------------------------------------------*/
#############################################################################

CC              = g++

#############################################################################

CFILES      = deskey.c  desport.c  rotlr.c

HFILES      = des.h  des3.h  hack.h  nttype.h  sel.h  spbox.h  tripldes.h

OBJ_FILES   = deskey.o  desport.o  rotlr.o

DEFINES     = -DBIGENDIAN

CFLAGS      = $(DEFINES)

#############################################################################
# .sfx.o rules
#############################################################################
.SUFFIXES: .c

.c.o:
	$(CC) $(CFLAGS) -c  ${O}/$@ $<x

#############################################################################

all: rotlr.o desport.o deskey.o
	$(AR) qc lib3des.a 
	$(AR) q lib3des.a *.o


rotlr.o : rotlr.c   ${HEADERS}
	$(CC) $(CFLAGS) -c rotlr.c

desport.o : desport.c  ${HEADERS}
	$(CC) $(CFLAGS) -c desport.c

deskey.o : deskey.c  ${HEADERS}
	$(CC) $(CFLAGS) -c deskey.c


#############################################################################

clean:
	rm -f *.o *.a

