<?php
# Since getopt() is not supported under Windows
# we use our own function:
function MyGetopt()
{
	global $argc,$argv;
	
	$i = 1;
	$params = array();
	
	for ($i=1; $i < $argc; $i++) {

       if (_isParam($argv[$i])) {
           
           if (strlen($argv[$i]) == 1){
               	//do nothing
               	// single -
				continue;
           }
		   elseif (strlen($argv[$i]) == 2) {
               //seperated (ie -H www.google.com)  or no value parameter (ie. -h)
               $paramName = $argv[$i][1];
			   if (isset($argv[$i+1]))	
				   	$paramVal = (!_isParam($argv[$i+1])) ? $argv[$i+1] : null;
			   else
			   		$paramVal = null;
           }
		   elseif (strlen($argv[$i]) > 2) {
               //joined parameters ie -Hwww.google.com
               $paramName = $argv[$i][1];
               $paramVal = substr($argv[$i],2);
           }

           $params[$paramName] = $paramVal;
       }
	}
	
	return $params;
}

#determines whether string is a parameter
function _isParam($string){
       return ($string{0} == "-") ? 1: 0;
}
?>