<?php
#
# This script can be called to fill the account database from a CSV file.
#
# Input Parameters:
#	-f filename : file to insert
#	-t : test mode only (no DB insert event if no error)
#

$gBaseDir = dirname(dirname(__FILE__));

$options = getopt("tcf:h");

if (!isset($options['f']) || empty($options['f']) || isset($options['h'])) {
	Usage();
}

$userfile = $options['f'];
$test = isset($options['t']);

include_once "../conf/include.inc.php";

include_once "populate2.inc.php";

if (!empty($gMSG))
	echo html_entity_decode($gMSG,ENT_NOQUOTES)."\n";

if (!$ok) {
	for ( $idx = 0 ; $idx < count($errors) ; $idx++ ) {
		echo html_entity_decode($errors[$idx])."\n";
	}
}
else {
	echo _("File OK")."\n";
}

die(0);

function Usage()
{
	echo "Usage: php -q populate.php -f filename [-t]\n";
	echo "\t-f filename: name of CSV filename to import in the Database\n";
	echo "\t-t: test mode (no Database insert in any case)\n";
	echo "\n";

	die(1);
}
?>
