<?php
#
# This script can be called to send INIT ticket.
#
# Input Parameters:
#	-t : test mode (just print a CSV file)
#	-m : no mail mode
#	-a : send a ticket to all users who need one
#	-u userlist : list of users who need a ticket
#

$gBaseDir = dirname(dirname(__FILE__));

include_once "getopt.inc.php";
//$options = getopt("tmau:");
$options = MyGetopt($argc,$argv);

if (isset($options['?']) || isset($options['h']))
	Usage();
	
$test = isset($options['t']);
$nomail = isset($options['m']);
$alluser = isset($options['a']);
$userlist = isset($options['u']) ? $options['u'] : "";
$ulist = explode(" ",$userlist);
$userlist = implode("\n",$ulist);

include_once "../conf/include.inc.php";

include_once "ticketinit2.inc.php";

if (!empty($gMSG))
	echo html_entity_decode($gMSG,ENT_NOQUOTES)."\n";

if (!$ok) {
	for ( $idx = 0 ; $idx < count($errors) ; $idx++ ) {
		echo html_entity_decode($errors[$idx])."\n";
	}
}
else {
	for ( $idx = 0 ; $idx < count($report) ; $idx++ ) {
		echo html_entity_decode($report[$idx])."\n";
	}
}

die(0);

function Usage()
{
	echo "Usage: php -q ticketinit.php [-t] [-m] [-a|-u list]\n";
	echo "\t-t: test mode (just print a CSV file)\n";
	echo "\t-m: no mail mode\n";
	echo "\t-a: send a ticket to all users\n";
	echo "\t-u list: send a ticket to the users in the list\n";
	echo "\n";

	die(1);
}
?>
