/*
 * ===========================================================================
 * Fichier: log.h
 * ---------------------------------------------------------------------------
 * Date:	04/02/06
 * Auteur :	J.Delamarche
 * Version:	1.0
 * ---------------------------------------------------------------------------
 * Gestion des logs.
 * ===========================================================================
 */
#ifndef _include_log_h_
#define _include_log_h_

#include <windows.h>

typedef void (*SYNCUNLOCK_LOGCBACK)(const TCHAR *msg);

extern DWORD	LogInit(HANDLE hModule);
extern DWORD	LogThreadInit(HANDLE hModule);
extern DWORD	LogEnd(HANDLE hModule);
extern DWORD	LogThreadEnd(HANDLE hModule);
extern LPCTSTR	GetSystemMessage();
extern void		MyReportEvent(WORD wType, const TCHAR *msg);
extern void WINAPI LogSetCallback(SYNCUNLOCK_LOGCBACK cback);
extern void Log(WORD wType, const TCHAR *szFormat, ...);

#endif

 /* EOF */